<?PHP

// Wieviel Eintrge pro Seite sollen dargestellt werden?
$maxEintraege = 16;

// Wieviel Seitenzahlen in der Navigationsleiste angezeigt werden. Ausgabe kann sein
// << < 2 3 4 5 6 7 8 9 10 11 12 > >>
// Die Berechnung erfolgt nur fr ungerade Zahlen!!!
$navLeiste = 13;

// Definiert die Parameter fr den Datenbank Connect
define("DB_HOST","localhost"); // MySQL hostname
define("DB_NAME","db151892537"); //MySQL db-name
define("DB_USER","dbo151892537"); //MySQL User
define("DB_PASS","FDvmhU8E"); // MySQL Passwort

// Weitere Variablen den Seitenzahlem mit bergeben in Form:
// &var1=wert1&var2=wert2
$extVariables = '&textfield='.urlencode($_GET['textfield']);

$href[0] = '<a href="'.$_SERVER["SCRIPT_NAME"].'?site={SITE}'.$extVariables.'">Zurck</a>';
$href[1] = '<a href="'.$_SERVER["SCRIPT_NAME"].'?site={SITE}'.$extVariables.'">{SITE}</a>';
$href[2] = '<a href="'.$_SERVER["SCRIPT_NAME"].'?site={SITE}'.$extVariables.'">Vorwrts</a>';
$link = '<a href="'.$_SERVER["SCRIPT_NAME"].'?site={SITE}'.$extVariables.'">{LINK}</a>';
$infoText = 'Ergebnisse {ERGEBNIS} von ungefhr {MENGE}. ({SEKUNDEN} Sekunden) ';
$tableNavi = '<div align="center"><table>{TABLENAVI}</table></div>';
$grafik['backS'] = '<img src="pfeil_links.gif" border="0">';
$grafik['back'] = '<img src="s.gif" border="0">';
$grafik['site'] = '<img src="u_blau.gif" border="0">';
$grafik['none'] = '<img src="u_bbraun.gif" border="0">';
$grafik['next'] = '<img src="che.gif" border="0">';
$grafik['nextE'] = '<img src="pfeil_rechts.gif" border="0">';

// Datenbank Connect herstellen
$db = @MYSQL_CONNECT(DB_HOST,DB_USER,DB_PASS) or die("Datenbank-Connect fehlgeschlagen");
$db_check = @MYSQL_SELECT_DB(DB_NAME) or die("Datenbank momentan nicht erreichbar");

function startTime(){
	
	$timeExplode = explode(" ", microtime());
	$time = $timeExplode[1] + $timeExplode[0];

	return $time;

}

function endTime($timer){

	$timeExplode = explode(" ", microtime());
	$time = $timeExplode[1] + $timeExplode[0];
	$finish = $time - $timer;
	$endTime = sprintf("%4.3f", $finish); 
  
	return $endTime;

}

function makeInfo($endTime,$seiteAktuell,$maxEintraege,$Eintraege,$infoText)
{
	$infoText = preg_replace("/{SEKUNDEN}/", $endTime, $infoText);
	$infoText = preg_replace("/{MENGE}/", $Eintraege, $infoText);
	
	$start = $seiteAktuell * $maxEintraege - $maxEintraege + 1;
	$end = $seiteAktuell * $maxEintraege;
	
	$infoText = preg_replace("/{ERGEBNIS}/", "$start - $end", $infoText);
	
	return $infoText;
	
}


/**
 * Erstellt die Navigationsleiste fr die einzelnen Seiten
 *
 * @param		integer		$SitesComplete		Breite des Bildes
 * @param		integer		$seiteAktuell			Hhe des Bildes
 * @param		string  	$extVariables			Zeiger auf das Bild
 *
 * @return	string			
 */
function navigationsLeiste($SitesComplete,$seiteAktuell,$navLeiste){
		
	// Die Menge der angezeigten Links fr die Seiten werden errechnet 
	$NavCeil = floor($navLeiste / 2);
	
	// Eine Seite zurck oder zum Anfang nur anzeigen, wenn mindestens eine Seite zurck
	// geblttert werden kann 
	if($seiteAktuell > 1){
		$ausgabe['begin']['second'] = 1;
		$ausgabe['begin']['first'] = $seiteAktuell-1;
	}
	else
	{
		$ausgabe['begin']['first'] = FALSE;
	}
	
	// Baut die Seitennavigation af (1 2 3 4 5 6 ... n)
	for($x=$seiteAktuell-$NavCeil;$x<=$seiteAktuell+$NavCeil;$x++){
		// Alle Seitenzahlen vor und nach der aktuellen Seite verlinken
		if(($x>0 && $x<$seiteAktuell) || ($x>$seiteAktuell && $x<=$SitesComplete))
		{
			$ausgabe['middle']['site'][] = $x;
		}
		
		// Die Seitenzahl der aktuellen Seite nicht verlinken
		if($x==$seiteAktuell)
		{
			$ausgabe['middle']['site'][][0] = $seiteAktuell;
			}
	}
	
	// Eine Seite vor oder zum Ende nur anzeigen, wenn mindestens eine Seite weiter
	// geblttert werden kann 
	if($seiteAktuell < $SitesComplete){
		$ausgabe['end']['first'] = $seiteAktuell+1;
		$ausgabe['end']['second'] = $SitesComplete;
	}
	else{
		$ausgabe['end']['end'] = FALSE;
	}
	
	return $ausgabe;
	
}

function makeText($ausgabe,$seiteAktuell,$href)
{
	$string .= '<tr>';
	if($ausgabe['begin']['second'] >= 1 || $ausgabe['begin']['first'] >= 1)
	{
		$string .= '<td align="right">'.preg_replace("/{SITE}/i", $seiteAktuell-1, $href[0]).'</td>';
		
	}
	else 
	{
		$string .= '<td align="right">&nbsp;</td>';
	}
	
	foreach($ausgabe['middle']['site'] as $key => $value)
	{
		if(is_array($value))
		{
			
			$string .= '<td align="center">'.$ausgabe['middle']['site'][$key][0].'</td>';
		}
		else
		{
			$string .= '<td align="center">'.preg_replace("/{SITE}/i", $value, $href[1]).'</td>';
		}
	}
	
	if($seiteAktuell < $ausgabe['end']['second'] || $seiteAktuell < $ausgabe['end']['first'])
	{
		$string .= '<td align="left">'.preg_replace("/{SITE}/i", $seiteAktuell+1, $href[2]).'</td>';
	}
	else 
	{
		$string .= '<td align="left">&nbsp;</td>';
	}
		
	$string .= '</tr>';
		
	return $string;
}

function makeGraph($ausgabe,$seiteAktuell,$link,$grafik)
{
	$search = array("/{SITE}/","/{LINK}/");
	$string .= '<tr>';
	if($ausgabe['begin']['second'] >= 1 || $ausgabe['begin']['first'] >= 1)
	{
		
		$replace[0] = $seiteAktuell-1;
		$replace[1] = $grafik['backS'].$grafik['back'];
		$string .= '<td align="right">'.preg_replace($search, $replace, $link).'</td>';
		
	}
	else 
	{
		$string .= '<td align="right">'.$grafik['back'].'</td>';	
	}
	
	foreach($ausgabe['middle']['site'] as $key => $value)
	{
		if(is_array($value))
		{
			
			$string .= '<td align="center">'.$grafik['none'].'</td>';
		
		}
		else
		{
			$replace[0] = $value;
			$replace[1] = $grafik['site'];
			$string .= '<td align="center">'.preg_replace($search, $replace, $link).'</td>';
		}
	}
	
	if($seiteAktuell < $ausgabe['end']['second'] || $seiteAktuell < $ausgabe['end']['first'])
	{
		$replace[0] = $seiteAktuell+1;
		$replace[1] = $grafik['next'].$grafik['nextE'];
		$string .= '<td align="left">'.preg_replace($search, $replace, $link).'</td>';
		
	}
	else 
	{
		$string .= '<td align="right">'.$grafik['next'].'</td>';	
	}
		
	$string .= '</tr>';
		
	return $string;
}

// Startet den Timer
$timer = startTime();

// Die aktuell angeforderte Seite
$seiteAktuell = $_GET['site'] + 0;

// Falls noch keine Seitenzahl bergeben wurde, den Wert auf die erste Seite setzen
if(empty($seiteAktuell))
	$seiteAktuell = 1;
	
// Berechnet die nchsten Eintraege aus MAX_EINTRAEGE
$start = $seiteAktuell * $maxEintraege - $maxEintraege; 

// Holt die aktuellen Datenstze aus - define("MAX_EINTRAEGE",10)
//$result = @mysql_query("SELECT * FROM suchmaschine LIMIT $start, ".$maxEintraege);
$textfieldSecure = @mysql_real_escape_string(stripslashes($_GET['textfield']));
$result = @mysql_query("SELECT * FROM suchmaschine WHERE words LIKE('%".$textfieldSecure."%') LIMIT $start, ".$maxEintraege);

// Ermittelt die Gesamtzahl der Datenstze
//$resultGesamt = @mysql_query("SELECT COUNT(*) AS menge FROM suchmaschine"); 
$resultGesamt = @mysql_query("SELECT COUNT(*) AS menge FROM suchmaschine WHERE words LIKE('%".$textfieldSecure."%')"); 
$Eintraege = @mysql_result($resultGesamt,0,"menge");

// Errechnet die kompletten Seiten
$SitesComplete = ceil($Eintraege / $maxEintraege);

// Navigation mit in Ausgabe einfgen
$ausgabe = navigationsLeiste($SitesComplete,$seiteAktuell,$navLeiste); 

$ausgabeText = makeText($ausgabe,$seiteAktuell,$href);

$ausgabeGraph = makeGraph($ausgabe,$seiteAktuell,$link,$grafik);

// Ausgabe der Seite
while($row = @mysql_fetch_row($result)){
	// Hier findet die Ausgabe des Seiteninhalts statt
	$contentWeb .= $row[2] . '<br>';
}

// Beendet den Timer
$endTime = endTime($timer);

$infoText = makeInfo($endTime,$seiteAktuell,$maxEintraege,$Eintraege,$infoText);

$leisteBottom = preg_replace("/{TABLENAVI}/", $ausgabeGraph . $ausgabeText, $tableNavi);

?>